2. Upgrading from 6.0.1 to 6.1.0